set_property(GLOBAL PROPERTY CLANG_TOOLS_FILES_PROPERTY)
function(add_tools_sources)
    get_property(tmp GLOBAL PROPERTY CLANG_TOOLS_FILES_PROPERTY)
    foreach(arg ${ARGV})
        set(tmp "${tmp}" "${arg}")
    endforeach()
    set_property(GLOBAL PROPERTY CLANG_TOOLS_FILES_PROPERTY "${tmp}")
endfunction(add_tools_sources)